Bug 124801 - editors/openoffice.org-3 - OpenOffice fails to find libxml
Summary: editors/openoffice.org-3 - OpenOffice fails to find libxml
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-21 00:00 UTC by aryeh.friedman
Modified: 2009-05-25 13:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description aryeh.friedman 2008-06-21 00:00:07 UTC
	When building OoO-3 (or any version for that matter but this PR specifically refers to 3) the build fails to find libxml

Build output:

------------------------------
Making: ../unxfbsdi.pro/lib/libwpftfi.so
c++ -Wl,-z,combreloc -Wl,-rpath,'$ORIGIN:$ORIGIN/../ure-link/lib' -shared -Wl,-O1 -Wl,--version-script ../unxfbsdi.pro/misc/wpft_wpftfi.map -L../unxfbsdi.pro/lib -L../lib -L/usr/ports/editors/openoffice.org-3/work/BEA300_m2/solenv/unxfbsdi/lib -L/usr/ports/editors/openoffice.org-3/work/BEA300_m2/solver/300/unxfbsdi.pro/lib -L/usr/ports/editors/openoffice.org-3/work/BEA300_m2/solenv/unxfbsdi/lib -L/usr/local/jdk1.5.0/lib -L/usr/local/jdk1.5.0/jre/lib/i386 -L/usr/local/jdk1.5.0/jre/lib/i386/client -L/usr/local/jdk1.5.0/jre/lib/i386/native_threads -L/usr/local/lib ../unxfbsdi.pro/slo/wpft_dflt_version.o -o ../unxfbsdi.pro/lib/libwpftfi.so ../unxfbsdi.pro/slo/WPXSvStream.o ../unxfbsdi.pro/slo/DocumentElement.o ../unxfbsdi.pro/slo/FontStyle.o ../unxfbsdi.pro/slo/ListStyle.o ../unxfbsdi.pro/slo/DocumentHandler.o ../unxfbsdi.pro/slo/PageSpan.o ../unxfbsdi.pro/slo/SectionStyle.o ../unxfbsdi.pro/slo/TableStyle.o ../unxfbsdi.pro/slo/TextRunStyle.o ../unxfbsdi.pro/slo/DocumentCollector.
 o
 ../unxfbsdi.pro/slo/WordPerfectCollector.o ../unxfbsdi.pro/slo/WordPerfectImportFilter.o ../unxfbsdi.pro/slo/wpft_genericfilter.o -lsvlfi -lsotfi -lsvtfi -lutlfi -ltlfi -lcomphelp4gcc3 -lucbhelper4gcc3 -luno_cppuhelpergcc3 -luno_cppu -luno_sal -lxofi -lwpdlib -pthread -lm -Wl,-Bdynamic -lstlport_gcc
rm -f ../unxfbsdi.pro/lib/check_libwpftfi.so
mv ../unxfbsdi.pro/lib/libwpftfi.so ../unxfbsdi.pro/lib/check_libwpftfi.so
/usr/ports/editors/openoffice.org-3/work/BEA300_m2/solenv/bin/checkdll.sh -L../unxfbsdi.pro/lib -L/usr/ports/editors/openoffice.org-3/work/BEA300_m2/solver/300/unxfbsdi.pro/lib  ../unxfbsdi.pro/lib/check_libwpftfi.so
Checking DLL ../unxfbsdi.pro/lib/check_libwpftfi.so ...-rwxr-xr-x  1 root  wheel  1645290 Jun 20 18:05 ../unxfbsdi.pro/lib/libwpftfi.so
-------------
Running processes: 0
deliver -- version: 1.126
COPY: build.lst -> /usr/ports/editors/openoffice.org-3/work/BEA300_m2/solver/300/unxfbsdi.pro/inc/writerperfect/build.lst
COPY: ../unxfbsdi.pro/lib/libwpftfi.so -> /usr/ports/editors/openoffice.org-3/work/BEA300_m2/solver/300/unxfbsdi.pro/lib/libwpftfi.so
LOG: writing /usr/ports/editors/openoffice.org-3/work/BEA300_m2/solver/300/unxfbsdi.pro/inc/writerperfect/deliver.log
Statistics:
Files copied: 2
Files unchanged/not matching: 0

1 module(s): 
	libxslt
need(s) to be rebuilt

Reason(s):

ERROR: error 65280 occurred while making /usr/ports/editors/openoffice.org-3/work/BEA300_m2/libxslt

Attention: if you build and deliver the above module(s) you may prolongue your the build issuing command "build --from libxslt"

*** Error code 1

Stop in /usr/ports/editors/openoffice.org-3.

How-To-Repeat: 
	run make install with no args
Comment 1 Edwin Groothuis freebsd_committer 2008-06-21 01:31:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Kevin Oberman 2008-09-13 06:04:41 UTC
There is an error in
openoffice.org-2/work/OOH680_m17/libxslt/unxfbsdi.pro/misc/build/libxslt-1.1.16
at about line 21998. Delete one of the "=" to make the line:
- if test "1" == "1"
+ if test "1" = "1"
-- 
R. Kevin Oberman
Energy Sciences Network (ESnet)
Ernest Orlando Lawrence Berkeley National Laboratory (Berkeley Lab)
E-Mail: oberman@es.net                       Phone: +1 510-486-8634
Comment 3 Maho Nakata freebsd_committer 2009-05-25 13:15:41 UTC
State Changed
From-To: open->closed

IIRC has already been fixed. If you still have, please raise as new one.